/* Copyright (C) 1998 Oregon Graduate Institute of Science & Technology
 * 
 * See the file COPYRIGHT, which should have been supplied with this
 * package, for licensing details.  We may be contacted through email
 * at <quasar-help@cse.ogi.edu>.
 */

#ifndef GLOBAL_H
#define GLOBAL_H

#if HAVE_CONFIG_H
# include "config.h"
#endif

# include <dbug.h>

#if !DEBUG
#define NDEBUG		/* Shut off assertions. */
#endif

#include <stdio.h>
#include <assert.h>

#if STDC_HEADERS
# include <stdlib.h>
# include <string.h>
#else
void *malloc(size_t size);
void free(void *ptr);
void *realloc(void *ptr, size_t size);

# if HAVE_MEMZERO
void memzero(void *ptr, size_t size);
# elif HAVE_MEMSET
void memset(void *ptr, int c, size_t size);
# else
void bzero(void *ptr, int size);
# endif
#endif

#ifndef HAVE_MEMZERO		/* Well it *should* exist! */
# if HAVE_MEMSET
#  define memzero(mem, size) memset(used, 0, size)
# else
#  define memzero(mem, size) bzero(mem, size)
# endif
#endif


/* Define universal settings */
#define UTIL2
#undef SYS_STREAM


/* Define BOOLEAN, TRUE, and FALSE. */

#define BOOLEAN int
#define TRUE 1
#define FALSE 0


/* Functions */
void InitEverything(void);
void DestructEverything(void);

#endif /* GLOBAL_H */
